
/* various functions that were being called often, so let's try to speed
/* them up as macros.                                              -ETB-
 */

#define MOVEMENT_RATE(speed) \
		(((speed) > 0) ? \
		  ((py.flags.rest != 0)? 1 : (speed) ) \
		 :((turn % (2 - (speed))) == 0) \
		)

#define  DISTANCE(y1, x1, y2, x2)  \
		((DIS_y = (y1) - (y2)), \
		 (DIS_x = (x1) - (x2)), \
		 (DIS_y < 0 ? DIS_y = -DIS_y : 0), \
		 (DIS_x < 0 ? DIS_x = -DIS_x : 0), \
		 ( (((DIS_y + DIS_x) << 1) - \
		    (DIS_y > DIS_x ? DIS_x : DIS_y)\
		   ) \
		  >> 1 \
		 ) \
		)

#ifndef MORIA_WEAPONS
# define randint(maxval) ((int)(rnd() % (maxval)) +1)
#endif
